Index: menuselect.c
===================================================================
--- menuselect.c	(revision 904)
+++ menuselect.c	(working copy)
@@ -346,43 +346,49 @@
 			     cur3 = mxmlFindElement(cur3, cur2, "use", NULL, NULL, MXML_NO_DESCEND))
 			{
 #if !defined(HAVE_ATTRIBUTE_weak_import) && !defined(HAVE_ATTRIBUTE_weakref)
-				/* If the compiler won't support the functionality required for "use", then "use" -> "depend" */
-				if (!(dep = calloc(1, sizeof(*dep)))) {
-					free_member(mem);
-					return -1;
-				}
-				if ((tmp = mxmlElementGetAttr(cur3, "name"))) {
-					if (!strlen_zero(tmp)) {
-						dep->name = tmp;
+				const char *usetype;
+				if ((usetype = mxmlElementGetAttr(cur3, "type")) && !strcasecmp(usetype, "module")) {
+					/* If the compiler won't support the functionality required for "use", then "use" -> "depend" */
+					if (!(dep = calloc(1, sizeof(*dep)))) {
+						free_member(mem);
+						return -1;
 					}
-				}
-				if (!strlen_zero(cur3->child->value.opaque)) {
-					dep->displayname = cur3->child->value.opaque;
-					if (!dep->name) {
-						dep->name = dep->displayname;
+					if ((tmp = mxmlElementGetAttr(cur3, "name"))) {
+						if (!strlen_zero(tmp)) {
+							dep->name = tmp;
+						}
 					}
-					AST_LIST_INSERT_TAIL(&mem->deps, dep, list);
-				} else {
-					free(dep);
-				}
-#else
-				if (!(use = calloc(1, sizeof(*use)))) {
-					free_member(mem);
-					return -1;
-				}
-				if ((tmp = mxmlElementGetAttr(cur3, "name"))) {
-					if (!strlen_zero(tmp)) {
-						use->name = tmp;
+					if (!strlen_zero(cur3->child->value.opaque)) {
+						dep->displayname = cur3->child->value.opaque;
+						if (!dep->name) {
+							dep->name = dep->displayname;
+						}
+						AST_LIST_INSERT_TAIL(&mem->deps, dep, list);
+					} else {
+						free(dep);
 					}
+				} else { /* use type != module */
+#endif
+					if (!(use = calloc(1, sizeof(*use)))) {
+						free_member(mem);
+						return -1;
+					}
+					if ((tmp = mxmlElementGetAttr(cur3, "name"))) {
+						if (!strlen_zero(tmp)) {
+							use->name = tmp;
+						}
+					}
+					if (!strlen_zero(cur3->child->value.opaque)) {
+						use->displayname = cur3->child->value.opaque;
+						if (!use->name) {
+							use->name = use->displayname;
+						}
+						AST_LIST_INSERT_TAIL(&mem->uses, use, list);
+					} else {
+						free(use);
+					}
+#if !defined(HAVE_ATTRIBUTE_weak_import) && !defined(HAVE_ATTRIBUTE_weakref)
 				}
-				if (!strlen_zero(cur3->child->value.opaque)) {
-					use->displayname = cur3->child->value.opaque;
-					if (!use->name) {
-						use->name = use->displayname;
-					}
-					AST_LIST_INSERT_TAIL(&mem->uses, use, list);
-				} else
-					free(use);
 #endif
 			}
 
